Author Topic: PolarMode  (Read 2035 times)

0 Members and 1 Guest are viewing this topic.

hudster

  • Gator
  • Posts: 2848
PolarMode
« on: November 29, 2005, 04:12:29 AM »
Does anyone know how to toggle polar snaps on and off?

I've tried polarmode, but it makes no difference, I have a lisp which activates ortho but when it's finished I want to go back to polarsanps, but this doesn't work.
Revit BDS 2017, 2016, 2015, 2014, AutoCAD 2017, 2016, Navisworks 2017, 2016, BIM360 Glue

Kerry

  • Mesozoic relic
  • Seagull
  • Posts: 11654
  • class keyThumper<T>:ILazy<T>
Re: PolarMode
« Reply #1 on: November 29, 2005, 04:57:16 AM »
Perhaps :

AUTOSNAP System Variable bit 8 and 32

in conjunction with :
POLARMODE system variable
POLARANG system variable
POLARDIST system variable
POLARADDANG system variable
kdub, kdub_nz in other timelines.
Perfection is not optional.
Everything will work just as you expect it to, unless your expectations are incorrect.
Discipline: None at all.

hudster

  • Gator
  • Posts: 2848
Re: PolarMode
« Reply #2 on: November 29, 2005, 05:05:02 AM »
cheers that did it.
Revit BDS 2017, 2016, 2015, 2014, AutoCAD 2017, 2016, Navisworks 2017, 2016, BIM360 Glue

Kerry

  • Mesozoic relic
  • Seagull
  • Posts: 11654
  • class keyThumper<T>:ILazy<T>
Re: PolarMode
« Reply #3 on: November 29, 2005, 05:07:49 AM »
great !

Autosnap bit 63 turns on/off everything related to polar tracking.
so ..  incorporating something like this may suit you :
Code: [Select]
(defun c:togglepolar ()
  (if (= (getvar "autosnap") 63)
    (setvar "osmode" (logior (getvar "osmode") 16384))
    (setvar "osmode" (boole 6 (getvar "osmode") 16384))
  )
  (if (= (getvar "autosnap") 63)
    (setvar "autosnap" 0)
    (setvar "autosnap" 63)
  )
  (princ)
)
kdub, kdub_nz in other timelines.
Perfection is not optional.
Everything will work just as you expect it to, unless your expectations are incorrect.
Discipline: None at all.

Biscuits

  • Swamp Rat
  • Posts: 502
Re: PolarMode
« Reply #4 on: December 01, 2005, 01:47:05 PM »
Try this one. Can't remember where I got this one. I know I don't get the credit.


Code: [Select]

;TOGGLES POLAR TRACKING ON OR OFF
;
(defun c:pt ()
(princ
(strcat "\nPolar tracking "
(if (= 8 (logand 8 (setvar "autosnap" (boole 6 (getvar "autosnap") 8))))
"en" "dis"
)
"abled."
)
)
(princ)
)